<script>
	import { goto } from "$app/navigation";
    import { supabase } from "$lib/supabaseClient";
	import Forma from "../Forma.svelte";

    let err;

    let signin = async (info)=>{
        await supabase.auth.signOut()
        let {data,error} = await supabase.auth.signInWithPassword(info.detail).then((i)=>{console.log(i);return i});
        if (!error){
            goto("/")
        }else{
        err = error;
        }
    }
    let pergugla = ()=>{
        supabase.auth.signInWithOAuth({
            provider: 'google',
            options: {
                queryParams: {
                access_type: 'offline',
                prompt: 'consent',
                },
            },
        })
    }

</script>



<Forma text="Jungtis" on:forma="{signin}">
    <button class="mt-6 rounded-md bg-slate-100 hover:bg-slate-300 text-gray-900 p-3 w-full" on:click={pergugla}>Per Gugla</button>
</Forma>


{#if err}
<p class="mx-4 mt-6">{err.message}</p>
{/if}